/* Stuff for Preferences */
pascal void 	SetPreferences(void);
pascal Boolean 	WritePrefData(Handle);
pascal Handle 	ReadPrefData(void);
pascal short 	GetPrefsFile(void);

#define		prefsFileNameRsrc		128
#define		kPrefResType			'PrEf'
#define		prefsCreator			'gifS'
#define		prefsFileType			'pref'
#define		prefsResNum				128

enum resErrors { eCouldNotWriteResources = 3,
				 eMemError = 4,
				 eCorruptPrefs = 5,
				 eNewPrefsVersion = 6 };

#define	PREFSVERSION	2

typedef struct thePreferences {
short	version;
short	showColors;
short	hexadecimal;
short	decimal;
short	percentages;
short	promptSave;
short	forget;
short	fontSize;
Rect	winRect;
} thePrefs, *thePrefsPtr, **thePrefsHandle;


